Package org.eclipse.net4j.db

# Interface DBUtil.DeserializeRowHandler

All Superinterfaces:
  `DBUtil.RowHandler`

Enclosing class:
  DBUtil

public static interface DBUtil.DeserializeRowHandler extends DBUtil.RowHandler
A `row handler` with a `method` that is called once per row deserialized within `DBUtil.deserializeTable()`.

Since:
  4.1
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`void`
`handleRow(org.eclipse.net4j.util.io.ExtendedDataInput in, Connection connection, IDBField[] fields, Object[] values)`

### Methods inherited from interface org.eclipse.net4j.db.DBUtil.RowHandler

`done`

## Method Details

### handleRow

void handleRow(org.eclipse.net4j.util.io.ExtendedDataInput in, Connection connection, IDBField[] fields, Object[] values) throws SQLException, IOException

Throws:
  `SQLException`
  `IOException`